Toolbar not available for Firefox 5 or newer versions

Google Toolbar for Firefox is compatible with Firefox version 4 or older. To find out what version of Firefox you're using, click the Help menu and select "About Firefox" (on the Mac, the option is located in the "Firefox" menu).

If you use Firefox version 5 or newer, you won't be able to use Google Toolbar. However, you can still add similar functionality to the browser by trying one or more of the following Firefox add-ons:

The above list is provided only for your convenience. Google does not make any warranties or guarantees about any add-ons. Always be careful when installing add-ons as they may cause security, performance, or instability issues.